package intrinsic.flash.events;

public class ProgressEvent extends intrinsic.flash.events.Event {

	/** Accessors */
	public double bytesLoaded;
	public double bytesTotal;

	/** Variables */

	/** Constants */
	public static final String PROGRESS = "progress";
	public static final String SOCKET_DATA = "socket_data";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ProgressEvent() {
}

public ProgressEvent(String arg0) {
}

public ProgressEvent(String arg0, boolean arg1) {
}

public ProgressEvent(String arg0, boolean arg1, boolean arg2) {
}

public ProgressEvent(String arg0, boolean arg1, boolean arg2, double arg3) {
}

public ProgressEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4) {
}


/** Static Methods */

/** Methods */
public native String toString();
public native Object clone();

}
